| tmrctr Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XTmrCtr Struct Reference
Overview

The XTmrCtr driver instance data. More...

## Data Fields
XTmrCtr_Config | Config
| Core configuration. More...
XTmrCtrStats | Stats
| Component Statistics. More...
UINTPTR | BaseAddress
| Base address of registers. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | IsStartedTmrCtr0
| Is Timer Counter 0 started. More...
u32 | IsStartedTmrCtr1
| Is Timer Counter 1 started. More...
u32 | IsPwmEnabled
| Is PWM Enabled. More...
XTmrCtr_Handler | Handler
| Callback function. More...
void * | CallBackRef
| Callback reference for handler. More...

## Detailed Description

The XTmrCtr driver instance data.

The user is required to allocate a variable of this type for every timer/counter device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

UINTPTR XTmrCtr::BaseAddress

Base address of registers.

Referenced by XTmrCtr_CfgInitialize(), XTmrCtr_GetCaptureValue(), XTmrCtr_GetOptions(), XTmrCtr_GetValue(), XTmrCtr_InitHw(), XTmrCtr_InterruptHandler(), XTmrCtr_IsExpired(), XTmrCtr_PwmConfigure(), XTmrCtr_PwmDisable(), XTmrCtr_PwmEnable(), XTmrCtr_Reset(), XTmrCtr_SelfTest(), XTmrCtr_SetOptions(), XTmrCtr_SetResetValue(), XTmrCtr_Start(), and XTmrCtr_Stop().

void* XTmrCtr::CallBackRef

Callback reference for handler.

Referenced by XTmrCtr_CfgInitialize(), XTmrCtr_InterruptHandler(), and XTmrCtr_SetHandler().

XTmrCtr_Config XTmrCtr::Config

Core configuration.

Referenced by TmrCtrCascadeIntrExample(), TmrCtrFastIntrExample(), TmrCtrIntrExample(), TmrCtrPwmExample(), XTmrCtr_CfgInitialize(), and XTmrCtr_PwmConfigure().

XTmrCtr_Handler XTmrCtr::Handler

Callback function.

Referenced by XTmrCtr_CfgInitialize(), XTmrCtr_InterruptHandler(), and XTmrCtr_SetHandler().

u32 XTmrCtr::IsPwmEnabled

Is PWM Enabled.

Referenced by XTmrCtr_PwmDisable(), and XTmrCtr_PwmEnable().

u32 XTmrCtr::IsReady

Device is initialized and ready.

Referenced by XTmrCtr_CfgInitialize(), XTmrCtr_ClearStats(), XTmrCtr_GetCaptureValue(), XTmrCtr_GetOptions(), XTmrCtr_GetStats(), XTmrCtr_GetValue(), XTmrCtr_InitHw(), XTmrCtr_IsExpired(), XTmrCtr_PwmConfigure(), XTmrCtr_Reset(), XTmrCtr_SelfTest(), XTmrCtr_SetHandler(), XTmrCtr_SetOptions(), XTmrCtr_SetResetValue(), XTmrCtr_Start(), and XTmrCtr_Stop().

u32 XTmrCtr::IsStartedTmrCtr0

Is Timer Counter 0 started.

Referenced by XTmrCtr_InitHw(), XTmrCtr_Initialize(), XTmrCtr_PwmConfigure(), XTmrCtr_Start(), and XTmrCtr_Stop().

u32 XTmrCtr::IsStartedTmrCtr1

Is Timer Counter 1 started.

Referenced by XTmrCtr_InitHw(), XTmrCtr_Initialize(), XTmrCtr_PwmConfigure(), XTmrCtr_Start(), and XTmrCtr_Stop().

XTmrCtrStats XTmrCtr::Stats

Component Statistics.

Referenced by XTmrCtr_CfgInitialize(), XTmrCtr_ClearStats(), XTmrCtr_GetStats(), and XTmrCtr_InterruptHandler().